{% extends 'crud/edit.html' %}
{% load crispy_forms_tags %}
{% load static %}
{% load crm_utils %}

{% block content %}
<div class="alert alert-success" id="success-alert" role="alert" style="display: none; justify-content: space-between;">
                        <a href="#" onclick="$(this).parent().remove()">X</a>
                    <p>Пароль обновлен успешно!</p>
                    </div>
    <div class="container-fluid">

        <form method="post" novalidate enctype="multipart/form-data">
            {% csrf_token %}
            {{ edit_form.email|as_crispy_field }}
            {{ edit_form.first_name|as_crispy_field }}

            <!-- Button trigger modal -->
            <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
              Обновить пароль
            </button>

            {{ edit_form.last_name|as_crispy_field }}
            {{ edit_form.departament|as_crispy_field }}
            {{ edit_form.roles|as_crispy_field }}
            <button type="submit" class="btn btn-success">Update</button>
            <button type="button" class="btn btn-danger" onclick="window.location.href = document.referrer">Cancel</button>
        </form>

    </div>



<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Введите новый пароль</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
          {% csrf_token %}
          {{ update_password_form|crispy }}
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Закрыть</button>
        <button type="button" id="updatePasswordBtn" class="btn btn-primary">Обновить</button>
      </div>
    </div>
  </div>
</div>

    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

    {% if user|is_has_role:'admin' %}
     <script type="application/javascript">
        $("#id_roles option").each(function () {
            if ($(this).val() === 'ADMIN'){
                $(this).remove()
            }
        })
    </script>
    {% endif %}

    <script type="text/javascript">
        var csrftoken = $("[name=csrfmiddlewaretoken]").val();
        function csrfSafeMethod(method) {
            // these HTTP methods do not require CSRF protection
            return (/^(GET|HEAD|OPTIONS|TRACE)$/.test(method));
        }

        $("#updatePasswordBtn").click(function () {
            $.ajaxSetup({
            beforeSend: function(xhr, settings) {
                if (!csrfSafeMethod(settings.type) && !this.crossDomain) {
                    xhr.setRequestHeader("X-CSRFToken", csrftoken);
                }
            }
        });
            $.ajax({
                type: "POST",
                url: '{% url 'ajax_update_user_password' %}',
                contentType: 'application/json; charset=utf-8',
                data: JSON.stringify({
                    password: $('#id_password').val(),
                    user_id: '{{ user_id }}'
                    {#csrfmiddlewaretoken: '{{ csrf_token }}'#}
                }),
                dataType: "json",
                success: function () {
                    $("[data-dismiss=modal]").trigger({ type: "click" });
                    $('#success-alert').css('display', 'block')

                }
            })
        })

    </script>
{% endblock %}

{% block custom_includes %}
    {{ block.super }}
    {% load static %}
{#    <script src="{% static 'sb_admin/vendor/jquery/jquery.min.js' %}"></script>#}
        {{ edit_form.media.css }}
{{ edit_form.media.js }}
{% endblock %}